aboutsummaryrefslogtreecommitdiff
path: root/mail/courier/files/sharedindexupdate.in
diff options
context:
space:
mode:
authorSam Lawrance <lawrance@FreeBSD.org>2006-02-14 12:00:05 +0000
committerSam Lawrance <lawrance@FreeBSD.org>2006-02-14 12:00:05 +0000
commit70c6cdd52613f0bde0bba44ff6eebd0fc3a56c9d (patch)
tree7d592214a8c89e0c09f58b4890ee59a355a6acdf /mail/courier/files/sharedindexupdate.in
parentde968da4a06e1feb6034458daf7904d6c815c575 (diff)
downloadports-70c6cdd52613f0bde0bba44ff6eebd0fc3a56c9d.tar.gz
ports-70c6cdd52613f0bde0bba44ff6eebd0fc3a56c9d.zip
Notes
Diffstat (limited to 'mail/courier/files/sharedindexupdate.in')
-rw-r--r--mail/courier/files/sharedindexupdate.in26
1 files changed, 26 insertions, 0 deletions
diff --git a/mail/courier/files/sharedindexupdate.in b/mail/courier/files/sharedindexupdate.in
new file mode 100644
index 000000000000..cc72cceb212d
--- /dev/null
+++ b/mail/courier/files/sharedindexupdate.in
@@ -0,0 +1,26 @@
+#!/bin/sh
+#
+# $NetBSD: sharedindexupdate.sh,v 1.2 2005/02/18 22:12:50 jlam Exp $
+# $FreeBSD: /tmp/pcvs/ports/mail/courier/files/sharedindexupdate.in,v 1.1 2006-02-14 12:00:05 lawrance Exp $
+#
+# This script updates the index of shared folders on the system and is
+# only needed if Courier-IMAP or SqWebMail used to serve mail and shared
+# folders are used. If so, then this script should be run regularly as a
+# system process to ensure the shared folder index is kept up-to-date.
+#
+# The courier-authlib package must be separately installed to provide the
+# "authenumerate" program used in this script.
+
+prefix="%%PREFIX%%"
+exec_prefix="${prefix}"
+sysconfdir="${prefix}/etc/courier"
+sbindir="${exec_prefix}/sbin"
+
+rm -rf ${sysconfdir}/shared.tmp
+mkdir ${sysconfdir}/shared.tmp || exit 1
+
+test -x ${sbindir}/authenumerate || exit 1
+${sbindir}/authenumerate > ${sysconfdir}/shared.tmp/.tmplist || exit 1
+${sbindir}/sharedindexsplit ${sysconfdir}/shared.tmp 1 < ${sysconfdir}/shared.tmp/.tmplist || exit 1
+rm -f ${sysconfdir}/shared.tmp/.tmplist
+${sbindir}/sharedindexinstall